新版phpStudy,支持自定义php版本


新版phpStudy,支持自定义php版本,只支持php5.3.0以后的任意版本。

一定要下载win版php,不是下载源码,win版php下载地址:http://windows.php.net/

只要下载php5.3.0以上的版本,扔到php目录下即可,剩下的事由程序搞定,自动配好。


下面教程以php-5.3.29和php-7.1.0RC5-nts为例

下载php-5.3.29和php-7.1.0RC5-nts两个zip压缩包,解压出来。如下图。


目录重命名,保留版本号及nts ,如下图,复制到phpStudy安装目录的php文件夹即可。

注意:目录一定要保留版本号及nts 信息。没有nts的php只有apache支持。有nts的版本apache、nginx都支持。



关闭phpStudy,重启控制面板,你就会发现菜单中多了php5.3和php7.1。程序已经自动配好php5.3和php7.1。

注意看下图php5.3和php7.1的区别。php5.3的版本没带nts只有apache支持。



切换到php7.1即可,就这么简单。




相关阅读:
phpStudy & JspStudy 2016 更新下载,新版支持php7.0
phpStudy + JspStudy 2014.10.02 下载
phpStudy(php一键安装包)+JspStudy(jsp一键安装包) 2014.6.10
FileZilla Server使用教程 ftp server安装教程
让天下没有难配的php环境 phpStudy Linux版&Win版同步上线
phpStudy for Linux (lnmp+lamp一键安装包)
phpStudy for Linux 支持Apache/Nginx/Tengine/Lighttpd
JspStudy新增tomcat6,实现tomcat6和tomcat7一键切换
phpStudy 2014.3.10 + phpStudy Lite
phpStudy for IIS (php一键安装包 for IIS7/8/6)
phpStudy 2014 (php环境集成包) 下载
JspStudy 2014 (JSP环境集成包一键安装)
快速导航

Copyright © 2016 phpStudy |